Bug 179976 - nothing owns rpmbuild
Summary: nothing owns rpmbuild
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-04 05:32 UTC by Dave Jones
Modified: 2015-01-04 22:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 22:49:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Jones 2006-02-04 05:32:59 UTC
$ rpm -qf `which rpmbuild`
file /usr/bin/rpmbuild is not owned by any package
$ file /usr/bin/rpmbuild
/usr/bin/rpmbuild: symbolic link to `../lib/rpm/rpmb'

Actually most of /usr/lib/rpm is unowned..

file /usr/lib/rpm/brp-compress is not owned by any package
file /usr/lib/rpm/brp-java-gcjcompile is not owned by any package
file /usr/lib/rpm/brp-python-bytecompile is not owned by any package
file /usr/lib/rpm/brp-redhat is not owned by any package
file /usr/lib/rpm/brp-sparc64-linux is not owned by any package
file /usr/lib/rpm/brp-strip is not owned by any package
file /usr/lib/rpm/brp-strip-comment-note is not owned by any package
file /usr/lib/rpm/brp-strip-shared is not owned by any package
file /usr/lib/rpm/brp-strip-static-archive is not owned by any package
file /usr/lib/rpm/check-files is not owned by any package
file /usr/lib/rpm/check-prereqs is not owned by any package
file /usr/lib/rpm/config.site is not owned by any package
file /usr/lib/rpm/cross-build is not owned by any package
file /usr/lib/rpm/debugedit is not owned by any package
file /usr/lib/rpm/find-debuginfo.sh is not owned by any package
file /usr/lib/rpm/find-lang.sh is not owned by any package
file /usr/lib/rpm/find-provides is not owned by any package
file /usr/lib/rpm/find-provides.perl is not owned by any package
file /usr/lib/rpm/find-prov.pl is not owned by any package
file /usr/lib/rpm/find-req.pl is not owned by any package
file /usr/lib/rpm/find-requires is not owned by any package
file /usr/lib/rpm/find-requires.perl is not owned by any package
file /usr/lib/rpm/get_magic.pl is not owned by any package
file /usr/lib/rpm/getpo.sh is not owned by any package
file /usr/lib/rpm/http.req is not owned by any package
file /usr/lib/rpm/javadeps is not owned by any package
file /usr/lib/rpm/magic is not owned by any package
file /usr/lib/rpm/magic.mgc is not owned by any package
file /usr/lib/rpm/magic.mime is not owned by any package
file /usr/lib/rpm/magic.mime.mgc is not owned by any package
file /usr/lib/rpm/magic.prov is not owned by any package
file /usr/lib/rpm/magic.req is not owned by any package
file /usr/lib/rpm/perldeps.pl is not owned by any package
file /usr/lib/rpm/perl.prov is not owned by any package
file /usr/lib/rpm/perl.req is not owned by any package
file /usr/lib/rpm/pythondeps.sh is not owned by any package
file /usr/lib/rpm/rpmb is not owned by any package
file /usr/lib/rpm/rpmdeps is not owned by any package
file /usr/lib/rpm/rpmt is not owned by any package
file /usr/lib/rpm/trpm is not owned by any package
file /usr/lib/rpm/u_pkg.sh is not owned by any package
file /usr/lib/rpm/vpkg-provides2.sh is not owned by any package
file /usr/lib/rpm/vpkg-provides.sh is not owned by any package

Comment 1 Paul Nasrat 2006-02-04 15:26:30 UTC
[pauln@enki ~]$ rpm -qf /usr/lib/rpm/find-lang.sh
rpm-build-4.4.2-15.i386
[pauln@enki ~]$ rpm -qf /usr/bin/rpmbuild
rpm-build-4.4.2-15.i386

Those are the contents of the rpm-build package, are you sure your rpmdb isn't
screwed up or you did rpm -e --justdb rpm-build or something?

Comment 2 Dave Jones 2006-02-05 07:40:46 UTC
they become 'owned' when you install 'rpmbuild'.
Why are these even present when that package isn't there?

and why are we installing brp-sparc64-linux ?



Comment 3 Paul Nasrat 2006-02-06 15:51:04 UTC
They shouldn't be present, did your system crash/hang mid update at anypoint it
looks as if the package was missing from the db with the files on disk.  A
default install will not have these around.

Comment 4 Dave Jones 2006-02-06 22:49:00 UTC
maybe, I'll do a reinstall when the next test release comes out, and reopen this
if needed.



Note You need to log in before you can comment on or make changes to this bug.